.collapse {
    // Toggle link styling
    .toggle {
        font-family: $font-family-main;
        font-size: smaller;
        font-weight: normal;

        cursor: pointer;
    }

    // Manage toggle visibility
    .toggle-expand {
        display: none;
    }

    // Default behaviour for the content
    header {
        // Customization for collapsing/expanding ToC
        transition: margin-bottom 0.3s ease-in-out;
    }

    .content {
        // Max height is arbitrary
        max-height: 750px;
        overflow-y: auto;

        transition: max-height 0.3s ease-out;
    }

    // Expanded version
    &.collapsed {
        // Manage toggle visibility
        .toggle-expand {
            display: inline;
        }

        .toggle-expand {
            display: none;
        }

        // Hide content
        header {
            margin-bottom: 0;
        }

        .content {
            max-height: 0;
            overflow-y: hidden;
        }
    }
}
